source mount_nfs.sh

mount_nfs

i=1; # first arg is script
j=$#;
while [ $i -le $j ] # iterate through arguments
do
    DATA_PATH="$TEST_MOUNT_PATH";

    if [ "$PROD" = "true" ]
    then
        DATA_PATH="$PROD_MOUNT_PATH";
    fi

    IFS=: read SOURCE LEVEL <<< "$1"

    echo "applying permissions $LEVEL to $SOURCE"
    chmod -f $LEVEL "$DATA_PATH/$SOURCE" || true

    i=$((i + 1));
    shift 1;
done

unmount_nfs
