source mount_nfs.sh

mount_nfs

i=1; # first arg is script
j=$#;
while [ $i -le $j ] # iterate through arguments
do
    DATA_PATH="$TEST_MOUNT_PATH";

    if [ "$PROD" = "true" ]
    then
        DATA_PATH="$PROD_MOUNT_PATH";
    fi

    IFS=: read SOURCE DESTINATION <<< "$1"

    echo "copying $SOURCE from repo to $DESTINATION"
    cp $SOURCE "$DATA_PATH/$DESTINATION"
    echo "copied $SOURCE to $DESTINATION"

    i=$((i + 1));
    shift 1;
done

unmount_nfs
